libwebsockets8_2.0.3-3_i386.deb


Advertisement

Description

libwebsockets8 - lightweight C websockets library

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libwebsockets8_2.0.3-3_i386.deb
Package name libwebsockets8
Package version 2.0.3
Package release 3
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage https://libwebsockets.org/
License -
Maintainer Laszlo Boszormenyi (GCS) <gcs@debian.org>
Download size 99.56 KB
Installed size 223.00 KB
Libwebsockets is a lightweight pure C library for both websockets
clients and servers built to use minimal CPU and memory resources
and provide fast throughput in both directions.
This package contains the shared library.

Alternatives

Package Version Architecture Repository
libwebsockets8_2.0.3-3_amd64.deb 2.0.3 amd64 Debian Main
libwebsockets8 - - -

Requires

Name Value
libc6 >= 2.4
libev4 >= 1:4.04
libssl1.1 >= 1.1.0
libuv1 >= 1.4.2
zlib1g >= 1:1.1.4

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libwebsockets8_2.0.3-3_i386.deb
Source Package libwebsockets

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libwebsockets8 deb package:
    # sudo apt-get install libwebsockets8

Files

Path
/usr/lib/i386-linux-gnu/libwebsockets.so.8
/usr/share/doc/libwebsockets8/changelog.Debian.gz
/usr/share/doc/libwebsockets8/changelog.gz
/usr/share/doc/libwebsockets8/copyright
/usr/share/lintian/overrides/libwebsockets8

Changelog

2017-09-17 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
libwebsockets (2.0.3-3) unstable; urgency=medium
* Build with Unix domain socket support (closes: #860884).
* Be the primary maintainer, thanks to Peter for all the fish.
* Update Standards-Version to 4.0.0 .
2017-08-23 - Michael Stapelberg <stapelberg@debian.org>
libwebsockets (2.0.3-2.1) unstable; urgency=medium
* Non-maintainer upload.
* stop-gap: set -Wno-error={format-truncation,format-overflow
(Closes: #853515)
2016-11-03 - Peter Pentchev <roam@ringlet.net>
libwebsockets (2.0.3-2) unstable; urgency=medium
* Upload to unstable.
2016-10-02 - Peter Pentchev <roam@ringlet.net>
libwebsockets (2.0.3-1) experimental; urgency=medium
* Add the typos patch to correct some typographical errors.
* Fix the upstream Git URLs in the watch file and the upstream
metadata file to reflect another URL change on libwebsockets.org.
* Use the HTTPS scheme for the copyright format specification URL.
* Use a pregenerated test server SSL key to make the build reproducible.
Closes: #831569; thanks, Chris Lamb!
* Fix the build with OpenSSL 1.1.  Closes: #828416; thanks, Kurt Roeckx!
* New upstream release:
- add the new lws_snprintf function to the symbols file
- add the soname-8 patch to avoid a SONAME bump merely for
an added function
* Point the Vcs-* URLs to the debian-v2.0-stable branch.
* Bump the debhelper compatibility level to 10:
- drop --parallel from the dh invocation, it is the default now
2016-06-19 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
libwebsockets (2.0.2-1) experimental; urgency=low
* New upstream release.
* Library transition from libwebsockets7 to libwebsockets8 .
* Update symbols file.
* Update Standards-Version to 3.9.8 .
2016-02-29 - Peter Pentchev <roam@ringlet.net>
libwebsockets (1.7.3-1) unstable; urgency=medium
* New upstream release.
2016-02-21 - Peter Pentchev <roam@ringlet.net>
libwebsockets (1.7.1-1) unstable; urgency=medium
* Fix the upstream website URLs after the author migrated to HTTPS
and moved some of the contents around.
* New upstream release:
- remove the typos patch, integrated upstream
- update the Vcs-* fields for the debian-v1.7-stable branch.
2016-02-19 - Peter Pentchev <roam@ringlet.net>
libwebsockets (1.7.0-2) unstable; urgency=medium
* Brown paper bag release: add libuv1-dev to the runtime
dependencies of libwebsockets-dev.  Closes: #815147
2016-02-16 - Peter Pentchev <roam@ringlet.net>
libwebsockets (1.7.0-1) unstable; urgency=medium
* Declare compliance with Debian Policy 3.9.7 with no changes.
* Use https:// for the Git-Vcs URL.
* New upstream version:
- drop all the patches (0003-libev-context-destroy,
0004-libev-context-init, 0005-wsi-context, 02-kfreebsd, and
03-sort-doc-sources) - integrated (or taken from) upstream
- add -fno-strict-aliasing because of the new test-server-libev.c
- bump the soname to libwebsockets7 and update the symbols file
- update the upstream copyright years
- add the typos patch to fix some typos
- build with support for libuv, too
* Bump the debian/* copyright years.
* Switch to *-dbgsym packages for the library debug symbols.
2016-01-17 - Peter Pentchev <roam@ringlet.net>
libwebsockets (1.6.0-5) unstable; urgency=medium
* Fix the relationship between the libwebsockets-test-server-common
and the libwebsockets-test-server packages.  Closes: #810517
Suggested by: Gianfranco Costamagna <locutusofborg@debian.org>
* Add the 03-sort-doc-sources patch to sort the source *.c files
before passing them to the script that generates the API reference.
Closes: #808877
* Build with Large File Support.

See Also

Package Description
libweed-dev_2.10.0-1_i386.deb Development library for inclusion of plugins into LiVES
libweed0_2.10.0-1_i386.deb Runtime library for inclusion of plugins into LiVES
libwerken.xpath-java-doc_0.9.4-15_all.deb JDOM XPath Engine - documentation
libwerken.xpath-java_0.9.4-15_all.deb JDOM XPath Engine
libweston-5-0_5.0.0-3_i386.deb reference implementation of a wayland compositor (shared libs)
libweston-5-dev_5.0.0-3_i386.deb reference implementation of a wayland compositor (shared libs)
libweupnp-java-doc_0.1.4-1_all.deb Documentation for weupnp
libweupnp-java_0.1.4-1_all.deb Tiny UPnP library written in Java
libwfmath-1.0-1v5_1.0.2+dfsg1-6_i386.deb WorldForge math library
libwfmath-1.0-dev_1.0.2+dfsg1-6_i386.deb WorldForge math library - development files
libwfmath-doc_1.0.2+dfsg1-6_all.deb WorldForge math library - API documentation
libwfut-0.2-1_0.2.3-6_i386.deb WorldForge Update Tool (libraries)
libwfut-0.2-dev_0.2.3-6_i386.deb WorldForge Update Tool (development files)
libwgdb-dev_0.7.3-4_i386.deb lightweight NoSQL database library, development files
libwgdb0_0.7.3-4_i386.deb lightweight NoSQL database library, shared library
Advertisement
Advertisement